Bug 15380 - RFE: Using viewports instead of desktops
RFE: Using viewports instead of desktops
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-04 08:41 EDT by Christian Rose
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-19 03:14:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2000-08-04 08:41:32 EDT
I think that

SHIFT + META + uparrow  = move to viewport above
SHIFT + META + downarrow  = move to viewport below
SHIFT + META + leftarrow  = move to viewport to the left
SHIFT + META + rigtharrow  = move to viewport to the right

should be added as sawfish default key combos in Red Hat for switching
between sawfish viewports. These key combos are pretty common as defaults
for this in other window managers.
Comment 1 David Mason 2000-08-04 11:05:48 EDT
hp - well, should we have default settings for viewports as well as desktops
even though we will no use viewports by default? We do have these keybindings
set for desktops don't we?
Comment 2 Havoc Pennington 2000-08-09 17:09:45 EDT
Shift-Meta-Right and Shift-Meta-Left now move between workspaces. Sawfish has no
way to implement up/down, it assumes workspaces are in a row (the grid is just 
a function of the Desk Guide applet). We can't bind the keys to viewport
movement, as they are already bound to workspace movement.
Comment 3 Christian Rose 2000-08-27 11:44:22 EDT
I think the default Sawfish setup could be switched to use viewports instead of
desktops - desktops are managed in a row, whereas viewports are managed by
position, as you say.
The viewport behavior confirms better to the look of the Desk Guide applet (it
defaults to 4 areas in a grid in RC2).
Also, keyboard shortcuts for navigation based on two-dimensional position can be
added, as described above. I don't know if there are any drawbacks using
viewports instead of desktops, though.

I know it's a bit late for this, this is merely an enhencement request for the
next RH release.
Comment 4 Pekka Savola 2000-09-19 03:14:43 EDT
I'll second this.  Most people probably use viewports rather than workspaces.  
Also, this is how it worked 
with RH 6.x.
Comment 5 Havoc Pennington 2001-07-05 23:28:24 EDT
I don't want to make the change to viewports:
 - breaks things a bit with no benefit most users will notice
 - having the viewports vs. workspaces option is kind of broken 
   anyway; sawfish should only have one
 - we can't have the same keybindings work with both by default

Note You need to log in before you can comment on or make changes to this bug.